gvSIG bugs #943

Can't connect to WMS service.

Added by Manuel Madrid over 9 years ago. Updated almost 8 years ago.

Status:Closed% Done:

0%

Priority:Normal
Assignee:Francisco Puga
Category:-
Target version:-
Severity: Add-on name:Unknown
gvSIG version:1.12.0 Add-on version:
gvSIG build:1413 Add-on build:
Operative System:Windows Add-on resolve version:
Keywords: Add-on resolve build:
Has patch:No

Description

Service URL: http://geoweb.montevideo.gub.uy/geoserver/ide/wms?

Just after finish the wizzard and press OK we get an error.

In gvSIG 1.11 it works fine.

Windows 7 64 bits.

See attached the log file.

gvSIG.log (48.4 KB) Manuel Madrid, 08/02/2012 04:13 PM

History

#2 Updated by Francisco Puga over 9 years ago

  • Status changed from New to Awaiting response

The error is related to use gvSIG in a machine of 64 bits. I copy&paste the interesting part of the log:

DEBUG AWT-EventQueue-0 com.iver.andami.messages.NotificationManager - Error grave de la aplicación. Es conveniente que salgas de la aplicación.
java.lang.UnsatisfiedLinkError: C:\Program Files (x86)\gvSIG desktop 1.12.0\CrsJniProj.dll: Can't load IA 32-bit .dll on a AMD 64-bit platform

IMHO this issue should be closed for the reason we discuss in the TSC

#3 Updated by Manuel Madrid over 9 years ago

Ok. I agree. Nevertheless I'm curious about why in gvSIG 1.11 it does work in the same computer. Do you have any idea?

#4 Updated by Antonio Falciano over 9 years ago

Hi all,
IMHO this kind of issue could be avoided configuring installjammer in order to check if JRE is 32 or 64 bit:
http://www.installjammer.com/forums/viewtopic.php?f=5&t=2033
So, if JRE 32 bit is not available, installjammer should be forced to download and install a JRE 32 bit.
@Manuel: gvSIG 1.11 maybe works fine because it was installed with prerequisites (all included version).

#5 Updated by Manuel Madrid over 9 years ago

Hi Antonio.

Do you mean in this case the user is running gvSIG 1.12 under a 64bits JRE? Is this possible?

Regards,
Manuel.

#6 Updated by Antonio Falciano over 9 years ago

Manuel Madrid wrote:

Do you mean in this case the user is running gvSIG 1.12 under a 64bits JRE? Is this possible?

AFAIK, it should not be possible, however it seems that the JRE is installed in the 64 bits Program Files folder. I don't know if this makes some difference.

Cheers,
Antonio

#7 Updated by Manuel Madrid over 9 years ago

  • Status changed from Awaiting response to Closed

Finally the errors were caused by JRE 1.7, on which gvSIG has not being tested.

#8 Updated by Francisco Puga over 9 years ago

just for the record, i open a ticket #985 with Antonio's suggestion

#9 Updated by Álvaro Anguix almost 8 years ago

  • Project changed from Application: gvSIG desktop to | gvSIG desktop 1
  • Category deleted (WMS)
  • Target version deleted (1.12.0-final)

Also available in: Atom PDF